weka.core.converters

## Class SerializedInstancesSaver

- java.lang.Object
- - weka.core.converters.AbstractSaver
  - - weka.core.converters.AbstractFileSaver
    - - weka.core.converters.SerializedInstancesSaver

- All Implemented Interfaces:
    java.io.Serializable, CapabilitiesHandler, CapabilitiesIgnorer, BatchConverter, FileSourcedConverter, Saver, EnvironmentHandler, OptionHandler, RevisionHandler, WeightedInstancesHandler

      public class SerializedInstancesSaver
      extends AbstractFileSaver
      implements BatchConverter, WeightedInstancesHandler

  Serializes the instances to a file with extension bsi.

  Valid options are:

       -i <the input file>
       The input file

       -o <the output file>
       The output file

  Version:
    $Revision: 14860 $
  Author:
    Stefan Mutter (mutter@cs.waikato.ac.nz)
  See Also:
    `Saver`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface weka.core.converters.Saver

      `BATCH, INCREMENTAL, NONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializedInstancesSaver()` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Capabilities` | `getCapabilities()` Returns the Capabilities of this saver.
    `java.lang.String` | `getFileDescription()` Returns a description of the file type.
    `java.lang.String` | `getRevision()` Returns the revision string.
    `java.lang.String` | `globalInfo()` Returns a string describing this Saver.
    `static void` | `main(java.lang.String[] args)` Main method.
    `void` | `resetOptions()` Resets the Saver.
    `void` | `resetWriter()` Resets the writer, setting writer and objectstream to null.
    `void` | `setDestination(java.io.OutputStream output)` Sets the destination output stream.
    `void` | `writeBatch()` Writes a Batch of instances.

    - ### Methods inherited from class weka.core.converters.AbstractFileSaver

      `cancel, filePrefix, getFileExtension, getFileExtensions, getOptions, getUseRelativePath, getWriter, listOptions, retrieveDir, retrieveFile, runFileSaver, setDestination, setDir, setDirAndPrefix, setEnvironment, setFile, setFilePrefix, setOptions, setUseRelativePath, useRelativePathTipText`

    - ### Methods inherited from class weka.core.converters.AbstractSaver

      `doNotCheckCapabilitiesTipText, getDoNotCheckCapabilities, getInstances, getWriteMode, resetStructure, setDoNotCheckCapabilities, setInstances, setRetrieval, setStructure, writeIncremental`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SerializedInstancesSaver

          public SerializedInstancesSaver()

      Constructor.

  - ### Method Detail

    - #### globalInfo

          public java.lang.String globalInfo()

      Returns a string describing this Saver.
      Returns:
        a description of the Saver suitable for displaying in the explorer/experimenter gui

    - #### getFileDescription

          public java.lang.String getFileDescription()

      Returns a description of the file type.
      Specified by:
        `getFileDescription` in interface `FileSourcedConverter`
      Specified by:
        `getFileDescription` in class `AbstractFileSaver`
      Returns:
        a short file description

    - #### resetOptions

          public void resetOptions()

      Resets the Saver.
      Overrides:
        `resetOptions` in class `AbstractFileSaver`

    - #### getCapabilities

          public Capabilities getCapabilities()

      Returns the Capabilities of this saver.
      Specified by:
        `getCapabilities` in interface `CapabilitiesHandler`
      Overrides:
        `getCapabilities` in class `AbstractSaver`
      Returns:
        the capabilities of this object
      See Also:
        `Capabilities`

    - #### resetWriter

          public void resetWriter()

      Resets the writer, setting writer and objectstream to null.
      Overrides:
        `resetWriter` in class `AbstractFileSaver`

    - #### setDestination

          public void setDestination(java.io.OutputStream output)
                              throws java.io.IOException

      Sets the destination output stream.
      Specified by:
        `setDestination` in interface `Saver`
      Overrides:
        `setDestination` in class `AbstractFileSaver`
      Parameters:
        `output` - the output stream.
      Throws:
        `java.io.IOException` - throws an IOException if destination cannot be set

    - #### writeBatch

          public void writeBatch()
                          throws java.io.IOException

      Writes a Batch of instances.
      Specified by:
        `writeBatch` in interface `Saver`
      Specified by:
        `writeBatch` in class `AbstractSaver`
      Throws:
        `java.io.IOException` - throws IOException if saving in batch mode is not possible

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Returns:
        the revision

    - #### main

          public static void main(java.lang.String[] args)

      Main method.
      Parameters:
        `args` - should contain the options of a Saver.